classification
Title: test_threaded_import.test_parallel_meta_path() failed on x86 Windows7 3.x
Type: Stage:
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: python-dev, vstinner
Priority: normal Keywords: buildbot

Created on 2014-09-04 07:32 by vstinner, last changed 2015-03-18 13:42 by vstinner. This issue is now closed.

Messages (4)
msg226341 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-09-04 07:32
======================================================================
FAIL: test_parallel_meta_path (test.test_threaded_import.ThreadedImportTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\test_threaded_import.py", line 133, in test_parallel_meta_path
    self.check_parallel_module_init()
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows7\build\lib\test\test_threaded_import.py", line 121, in check_parallel_module_init
    self.assertTrue(done.wait(60))
AssertionError: False is not true
msg226342 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-04 07:38
New changeset f8d2834e1269 by Victor Stinner in branch 'default':
Issue #22333: Add debug traces to test_threaded_import
http://hg.python.org/cpython/rev/f8d2834e1269
msg228036 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-09-30 23:49
New changeset 926c380aa423 by Victor Stinner in branch 'default':
Issue #22333: Extend timeout in test_threaded_import
https://hg.python.org/cpython/rev/926c380aa423

New changeset c8e7362875a8 by Victor Stinner in branch 'default':
Issue #22333: test_threaded_import now displays elapsed time in verbose mode.
https://hg.python.org/cpython/rev/c8e7362875a8
msg238439 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-18 13:42
I didn't see this failure recently, I close the issue.
History
Date User Action Args
2015-03-18 13:42:20vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg238439
2014-09-30 23:49:47python-devsetmessages: + msg228036
2014-09-04 07:38:55python-devsetnosy: + python-dev
messages: + msg226342
2014-09-04 07:32:41vstinnercreate